# namespace_entry.cpp File Reference

`#include <string>`
`#include <vector>`
`#include <saga/saga/namespace.hpp>`
`#include <saga/impl/namespace.hpp>`
`#include <saga/saga/detail/monitorable_impl.hpp>`
`#include <saga/saga/detail/permissions_impl.hpp>`
`#include <saga/saga/detail/call.hpp>`

## Namespaces
namespace | saga
namespace | saga::name_space
namespace | saga::detail
## Defines
#define | SAGA_NO_IMPORT_MONITORABLE
#define | SAGA_NO_IMPORT_PERMISSIONS
#define | SAGA_PERMISSIONS_EXPORTS

## Define Documentation

#define SAGA_NO_IMPORT_MONITORABLE

#define SAGA_NO_IMPORT_PERMISSIONS

#define SAGA_PERMISSIONS_EXPORTS